<?xml version="1.0" encoding="utf-8"?>

<objects xmlns='http://www.springframework.net'
         xmlns:db="http://www.springframework.net/database"
         xmlns:tx="http://www.springframework.net/tx"
         xmlns:aop="http://www.springframework.net/aop">

  <object id="ClasseRepository"
          type="MicroUniverso.Produto.Repositorios.ClasseRepository, MicroUniverso.Produto.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="LoteProdutoRepository"
          type="MicroUniverso.Produto.Repositorios.Lote.LoteProdutoRepository, MicroUniverso.Produto.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="LotePromocaoRepository"
        type="MicroUniverso.Produto.Repositorios.Lote.LotePromocaoRepository, MicroUniverso.Produto.Repositorios.NH"
        singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>
  
  <object id="OfertaRepository"
          type="MicroUniverso.Produto.Repositorios.Preco.OfertaRepository, MicroUniverso.Produto.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>
  
  <object id="ProdutoAreaVendaRepository"
          type="MicroUniverso.Produto.Repositorios.Preco.ProdutoAreaVendaRepository, MicroUniverso.Produto.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>
  
  <object id="PromocaoRepository"
          type="MicroUniverso.Produto.Repositorios.Preco.PromocaoRepository, MicroUniverso.Produto.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="ProdutoPromocaoRepository"
          type="MicroUniverso.Produto.Repositorios.Preco.ProdutoPromocaoRepository, MicroUniverso.Produto.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>
  
  <object id="HistoricoPesquisaRepository"
          type="MicroUniverso.Produto.Repositorios.HistoricoPesquisaRepository, MicroUniverso.Produto.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>
  
  <object id="ProdutoRepository"
          type="MicroUniverso.Produto.Repositorios.ProdutoRepository, MicroUniverso.Produto.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>
  
  <object id="EstoqueProdutoFilialRepository"
          type="MicroUniverso.Produto.Repositorios.Estoque.EstoqueProdutoFilialRepository, MicroUniverso.Produto.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="SaidaLoteProdutoRepository"
          type="MicroUniverso.Produto.Repositorios.Lote.SaidaLoteProdutoRepository, MicroUniverso.Produto.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="StatusProdutoRepository"
          type="MicroUniverso.Produto.Repositorios.StatusProdutoRepository, MicroUniverso.Produto.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

</objects>